VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form frmStart 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "SolidWorks 98 Benchmark"
   ClientHeight    =   3570
   ClientLeft      =   45
   ClientTop       =   390
   ClientWidth     =   5175
   Icon            =   "frmStart.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3570
   ScaleWidth      =   5175
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3120
      Top             =   2160
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DefaultExt      =   "htm"
      Filter          =   "*.htm"
   End
   Begin VB.CommandButton b_Save 
      Cancel          =   -1  'True
      Caption         =   "Save"
      Height          =   495
      Left            =   3720
      TabIndex        =   13
      Top             =   720
      Width           =   1335
   End
   Begin VB.CommandButton bSysInfo 
      Caption         =   "System Info"
      Enabled         =   0   'False
      Height          =   495
      Left            =   3720
      TabIndex        =   12
      Top             =   1320
      Visible         =   0   'False
      Width           =   1335
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Done"
      Height          =   495
      Left            =   3720
      TabIndex        =   10
      Top             =   1920
      Width           =   1335
   End
   Begin VB.CommandButton cmdRun 
      Caption         =   "Run"
      Default         =   -1  'True
      Height          =   495
      Left            =   3720
      TabIndex        =   9
      Top             =   120
      Width           =   1335
   End
   Begin VB.Frame fmeStatus 
      Height          =   855
      Left            =   120
      TabIndex        =   8
      Top             =   2640
      Width           =   4935
      Begin VB.Label lblDescription 
         Alignment       =   2  'Center
         Caption         =   "Description"
         Height          =   375
         Left            =   240
         TabIndex        =   11
         Top             =   360
         Width           =   4215
      End
   End
   Begin VB.TextBox txtIO 
      Alignment       =   2  'Center
      BackColor       =   &H8000000F&
      Height          =   375
      Left            =   2160
      Locked          =   -1  'True
      TabIndex        =   7
      Text            =   "n/a"
      Top             =   1920
      Width           =   1095
   End
   Begin VB.TextBox txtFloatingPoint 
      Alignment       =   2  'Center
      BackColor       =   &H8000000F&
      Height          =   375
      Left            =   2160
      Locked          =   -1  'True
      TabIndex        =   6
      Text            =   "n/a"
      Top             =   1320
      Width           =   1095
   End
   Begin VB.TextBox txtGraphics 
      Alignment       =   2  'Center
      BackColor       =   &H8000000F&
      Height          =   375
      Left            =   2160
      Locked          =   -1  'True
      TabIndex        =   5
      Text            =   "n/a"
      Top             =   720
      Width           =   1095
   End
   Begin VB.TextBox txtComplete 
      Alignment       =   2  'Center
      BackColor       =   &H8000000F&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2160
      Locked          =   -1  'True
      TabIndex        =   4
      Text            =   "n/a"
      Top             =   120
      Width           =   1095
   End
   Begin VB.OptionButton optIO 
      Caption         =   "I/O Intensive Test"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1920
      Width           =   1695
   End
   Begin VB.OptionButton optFloatingPoint 
      Caption         =   "CPU Intensive Test"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   1695
   End
   Begin VB.OptionButton optGraphics 
      Caption         =   "Graphics Test"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   1695
   End
   Begin VB.OptionButton optComplete 
      Caption         =   "Complete Test"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Value           =   -1  'True
      Width           =   1695
   End
End
Attribute VB_Name = "frmStart"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim ActiveApps As Integer

Sub ParseCommandLine(CLine As Variant, NumArgs As Integer)
    Dim I As Integer
    BatchMode = False
    RegEd = True
    RepeatNumber = 1
    TheTest = 1
    HTMLFile = "results.htm"
    For I = 1 To NumArgs
        If (CLine(I) = "/B" Or CLine(I) = "/B") Then ' then run in batch mode
            BatchMode = True
        ElseIf (CLine(I) = "/F" Or CLine(I) = "/f") Then ' then Save to an html file
            HTMLFile = CLine(I + 1)
            I = I + 1
        ElseIf (CLine(I) = "/R" Or CLine(I) = "/r") Then ' then get the number of times to repeat
            RepeatNumber = CLine(I + 1)
            I = I + 1
        ElseIf (CLine(I) = "/A" Or CLine(I) = "/a") Then ' run all the tests
            TheTest = 1
        ElseIf (CLine(I) = "/G" Or CLine(I) = "/g") Then ' Run graphics test
            TheTest = 2
        ElseIf (CLine(I) = "/P" Or CLine(I) = "/p") Then ' Run processor test
            TheTest = 3
        ElseIf (CLine(I) = "/I" Or CLine(I) = "/i") Then ' Run IO Tests
            TheTest = 4
        ElseIf (CLine(I) = "/S" Or CLine(I) = "/s") Then ' Do not run RegEdit
            RegEd = False
        End If
    Next I
End Sub

Function GetCommandLine(NumArgs As Integer, Optional MaxArgs)
    'Declare variables.
    Dim C, CmdLine, CmdLnLen, InArg, I
    'See if MaxArgs was provided.
    If IsMissing(MaxArgs) Then MaxArgs = 10
    'Make array of the correct size.
    ReDim ArgArray(MaxArgs)
    NumArgs = 0: InArg = False
    'Get command line arguments.
    CmdLine = Command()
    CmdLnLen = Len(CmdLine)
    'Go thru command line one character
    'at a time.
    For I = 1 To CmdLnLen
        C = Mid(CmdLine, I, 1)

'Test for space or tab.
        If (C <> " " And C <> vbTab) Then
            'Neither space nor tab.
            'Test if already in argument.
            If Not InArg Then
            'New argument begins.
            'Test for too many arguments.
                If NumArgs = MaxArgs Then Exit For
                NumArgs = NumArgs + 1
                InArg = True
            End If
            'Concatenate character to current argument.
            ArgArray(NumArgs) = ArgArray(NumArgs) & C
        Else
            'Found a space or tab.

'Set InArg flag to False.
            InArg = False
        End If
    Next I
    'Resize array just enough to hold arguments.
    ReDim Preserve ArgArray(NumArgs)
    'Return Array in Function name.
    GetCommandLine = ArgArray()
End Function

Private Sub b_Save_Click()
    Dim answer As Integer
    If NoTestsRun = False Then
       If FileSaved = False Then
           CommonDialog1.ShowSave
       End If
       If CommonDialog1.FileName <> "" Then
         EInfo.WriteAll CommonDialog1.FileName
         FileSaved = True
       Else
         FileSaved = False
       End If
    Else
         frmStart.Visible = False
         answer = MsgBox("No results to save", vbOKOnly + vbDefaultButton1 + vbApplicationModal + vbInformation, "Information")
         frmStart.Visible = True
    End If
End Sub

Private Sub cmdCancel_Click()
    Dim answer As Integer
    
    frmStart.Hide
    If NoTestsRun = False Then
        If FileSaved = False Then
           answer = MsgBox("Previous results have not been saved.  Would you like to save the results?", vbYesNo + vbDefaultButton1 + vbApplicationModal + vbInformation, "Information")
           If answer = vbYes Then 'Yes selected
                CommonDialog1.ShowSave
                If CommonDialog1.FileName <> "" Then
                  EInfo.WriteAll CommonDialog1.FileName
                  FileSaved = True
                Else
                  FileSaved = False
                End If
            ElseIf answer = vbNo Then ' No selected
                FileSaved = False
            End If
         End If
    Else
        Err.Clear
        On Error GoTo OLEError:
        swApp.ExitApp
OLEError:
        Select Case Err.Number
        Case 53:
        Case Else
        End Select
    End If
    End
End Sub

Private Sub cmdRun_Click()
    Dim TestWhat As Integer
    Dim answer As Integer
    Dim SWidth As Long
    Dim SHeight As Long
    Dim WWidth As Long
    Dim WHeight As Long
    
  
    If NoTestsRun = False Then
      If FileSaved = False Then
         frmStart.Visible = False
         answer = MsgBox("Previous results have not been saved.  Would you like to save the results?", vbYesNo + vbDefaultButton1 + vbApplicationModal + vbInformation, "Information")
         If answer = vbYes Then 'Yes selected
             CommonDialog1.ShowSave
             If CommonDialog1.FileName <> "" Then
               EInfo.WriteAll CommonDialog1.FileName
               FileSaved = True
             Else
               FileSaved = False
             End If
         ElseIf answer = vbNo Then ' No selected
             FileSaved = False
           End If
         frmStart.Visible = True
       End If
    End If
    
    ' Load again for multiple runs
    Set swApp = CreateObject("SldWorks.Application")
    swApp.Visible = True
  
   ' Disable User control of SolidWorks
    swApp.UserControl = False
    
    FileSaved = False
    NoTestsRun = False
    If optComplete.Value = True Then
        TestWhat = 1
    ElseIf optGraphics.Value = True Then
        TestWhat = 2
    ElseIf optFloatingPoint = True Then
        TestWhat = 3
    Else ' Test I/O is true
        TestWhat = 4
    End If
    
    ' Get the ScreenSize right before the run
    Result = SWGetScreenSize(SWidth, SHeight, WWidth, WHeight)
    If (Result) Then
       EInfo.winHeight = WHeight
       EInfo.winWidth = WWidth
       EInfo.screenHeight = SHeight
       EInfo.screenWidth = SWidth
    End If
    StartTest (TestWhat)
End Sub

Private Sub cmdRun_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = "Press to start the SW benchmark."
End Sub


Private Sub Form_Load()
  Dim Result As Integer
  Dim RegEntered As Variant
  Dim CLine As Variant
  Dim Str As String * 256
  Dim NumArgs As Integer
  Dim I As Integer
  Dim DTStr As String * 255
  Dim TimeDateSize As Integer
  Dim hKey As Long
  Dim res As Long
  Dim X As Double
  Dim y As Integer
  
  TimeDateSize = 20
  CLine = GetCommandLine(NumArgs)
  ParseCommandLine CLine, NumArgs
  
  If (RegEd = True) Then
    Call SWRunReg
  End If
  Set swApp = CreateObject("SldWorks.Application")
  swApp.Visible = True
  If (BatchMode = False) Then
    SetTopMost Me.hWnd, True
  
    EInfo.GetAll
    FileSaved = True
    NoTestsRun = True
    ' Disable User control of SolidWorks
    swApp.UserControl = False
  Else  ' Running in batch mode
    Me.Hide
    EInfo.GetAll
    For I = 1 To RepeatNumber
      ' Load again for multiple runs
       Set swApp = CreateObject("SldWorks.Application")
       swApp.Visible = True
  
      ' Disable User control of SolidWorks
       swApp.UserControl = False
    
       TestWhat = TheTest
        ' Get the date and time stamp for each run
        Result = GetSDate(DTStr, TimeDateSize)
        If (Result) Then
            EInfo.Dte = RTrim(DTStr)
        End If
        DTStr = ""

        Result = GetSTime(DTStr, TimeDateSize)
        If (Result) Then
            EInfo.Tme = RTrim(DTStr)
        End If
        DTStr = ""
        
       ' Get the ScreenSize right before the run
       Result = SWGetScreenSize(SWidth, SHeight, WWidth, WHeight)
       If (Result) Then
          EInfo.winHeight = WHeight
          EInfo.winWidth = WWidth
          EInfo.screenHeight = SHeight
          EInfo.screenWidth = SWidth
       End If
       
       StartTest (TestWhat)
       
    Next I
    End
  End If


End Sub

Private Sub lblCombination_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = "Shows elapsed time for any test which does not fall clearly into one of the above categories"
End Sub

Private Sub optComplete_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = "Standard test - Evaluates all major groups"
End Sub

Private Sub optFloatingPoint_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = "Floating Point test - Evaluate computational speed only"
End Sub

Private Sub optGraphics_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = "Graphics Test - Express test for graphics only"
End Sub

Private Sub optIO_MouseMove(Button As Integer, Shift As Integer, X As Single, y As Single)
    lblDescription.Caption = " Input/Output test - Express test for file I/O only"
End Sub

Private Sub Timer1_Timer()

End Sub
